> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vectalk.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Texto

> Envie uma mensagem de texto simples

<ParamField body="messaging_product" type="string" required default="whatsapp" />

<ParamField body="to" type="string" required placeholder="5511999999999">
  Número do destinatário no formato E.164 sem o `+`.
</ParamField>

<ParamField body="recipient_type" type="string" default="individual" />

<ParamField body="type" type="string" required default="text" />

<ParamField body="context" type="object">
  Para responder uma mensagem específica.

  <Expandable title="campos">
    <ParamField body="context.message_id" type="string" required>
      ID da mensagem a ser respondida.
    </ParamField>
  </Expandable>
</ParamField>

<ParamField body="text" type="object" required>
  <Expandable title="campos" defaultOpen>
    <ParamField body="text.body" type="string" required placeholder="Olá! Como posso ajudar?">
      Conteúdo da mensagem (máx. 4096 caracteres).
    </ParamField>

    <ParamField body="text.preview_url" type="boolean" default={false}>
      Exibir preview de URLs presentes no texto.
    </ParamField>
  </Expandable>
</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url https://apis.vectalk.com.br/api/messages \
    --header 'Authorization: Bearer <token>' \
    --header 'Content-Type: application/json' \
    --data '{
      "messaging_product": "whatsapp",
      "to": "5511999999999",
      "type": "text",
      "text": {
        "body": "Olá! Como posso ajudar?"
      }
    }'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "messaging_product": "whatsapp",
    "contacts": [{ "input": "5511999999999", "wa_id": "5511999999999" }],
    "messages": [{ "id": "wamid.HBgLNTUxMTk5OTk5OTk5..." }]
  }
  ```
</ResponseExample>
